# Class Point.WithMonitor

java.lang.Object
org.eclipse.swt.graphics.Point
org.eclipse.swt.graphics.Point.OfFloat
org.eclipse.swt.graphics.Point.WithMonitor

All Implemented Interfaces:
  `Serializable, Cloneable`

Enclosing class:
  `Point`

public static final class Point.WithMonitor extends Point.OfFloat
Instances of this class represent `Point.OfFloat` objects along with the context of the monitor in relation to which they are placed on the display. The monitor awareness makes it easy to scale and translate the points between pixels and points.

Since:
  3.131
See Also:
  - Serialized Form
Restriction:
  This class is not intended to be referenced by clients

## Nested Class Summary

### Nested classes/interfaces inherited from class Point

`Point.OfFloat, Point.WithMonitor`

## Field Summary

### Fields inherited from class Point.OfFloat

`residualX, residualY`

### Fields inherited from class Point

`x, y`

## Constructor Summary

Constructors
Constructor
Description
`WithMonitor(int x, int y, Monitor monitor)`
Constructs a new Point.WithMonitor

## Method Summary

Modifier and Type
Method
Description
`Point.WithMonitor`
`clone()`
Creates and returns a shallow copy of this `Point`.
`Monitor`
`getMonitor()`
Returns the monitor with whose context the instance is created.

### Methods inherited from class Point.OfFloat

`from, getX, getY, setX, setY`

### Methods inherited from class Point

`equals, hashCode, toString`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WithMonitor

public WithMonitor(int x, int y, Monitor monitor)
Constructs a new Point.WithMonitor

Parameters:
  `x` - the x coordinate of the point
  `y` - the y coordinate of the point
  `monitor` - the monitor with whose context the point is created

## Method Details

### getMonitor

public Monitor getMonitor()
Returns the monitor with whose context the instance is created.

Returns:
  the monitor with whose context the instance is created

### clone

public Point.WithMonitor clone()
Description copied from class: `Point`
Creates and returns a shallow copy of this `Point`.

Overrides:
  `clone` in class `Point.OfFloat`